Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.app
Class FontCache

    java.lang.Object
      |
      +--com.macromedia.generator.app.GenCache
            |
            +--com.macromedia.generator.app.URLCache
                  |
                  +--com.macromedia.generator.app.FontCache

public class FontCache
extends URLCache

Fields inherited from class com.macromedia.generator.app.URLCache
`kMinBufferSize, mCheckModifiedSince, mDiskBufferSize, mForce, mNetBufferSize`

Fields inherited from class com.macromedia.generator.app.GenCache
`kLineBreak, mCurrentSize, mDefaultExpire, mDynamicMaintanence, mIndex, mLog, mMaxSize, mRecycle`

Constructor Summary
`FontCache(long l, boolean flag, boolean flag1, long l1, boolean flag2, int i, int j, CacheLog cachelog)`

Method Summary
`protected void` | `logCacheMessage(java.lang.String s, int i)`
`protected byte[]` | `readURLInputStream(java.net.URL url, java.io.InputStream inputstream, long l, int i, boolean flag, long l1)`

Methods inherited from class com.macromedia.generator.app.URLCache
`checkModifiedSince, fetchURLData, getCacheURL, getCacheURLEntry, getCacheURLTime, getCheckModifiedSince, getDiskBufferSize, getForce, getNetBufferSize, getURLData, getURLLocalPath, isLocal, makeJavaPretty, makeSystemPretty, readFile, readInputStream, readURLLocalFile, removeCacheURL, setBufferSize, setCacheURL, setCheckModifiedSince, setForce, stripLocalPrefix`

Methods inherited from class com.macromedia.generator.app.GenCache
`dispose, existsCacheEntry, expireCacheEntries, finalize, freeCacheItems, freeCacheSpace, getCacheValue, getDefaultExpire, getLock, getMaxSize, getRecycle, getResString, isCacheEnabled, isCacheEntryExpired, logHitCounts, purge, removeCacheEntry, removeCacheValue, setCacheEntry, setCacheValue, setDefaultExpire, setLock, setMaxSize, setRecycle, verifyCacheValue`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontCache

    public FontCache(long l,
                     boolean flag,
                     boolean flag1,
                     long l1,
                     boolean flag2,
                     int i,
                     int j,
                     CacheLog cachelog)

Method Detail

### logCacheMessage

    protected void logCacheMessage(java.lang.String s,
                                   int i)

  Overrides:
    `logCacheMessage` in class `GenCache`

### readURLInputStream

    protected byte[] readURLInputStream(java.net.URL url,
                                        java.io.InputStream inputstream,
                                        long l,
                                        int i,
                                        boolean flag,
                                        long l1)
                                 throws java.io.IOException

  Overrides:
    `readURLInputStream` in class `URLCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD